import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { MatTabsModule, MatMenuModule, MatButtonModule, 
  MatCardModule, MatToolbarModule 
} from '@angular/material';

import { CategoryService, ColumnSeriesService, ZoomService,
  MarkerService, LineSeriesService, TooltipService,
  SplineSeriesService,
  ChartModule
} from '@syncfusion/ej2-ng-charts';

import { APP_ROUTES_PROVIDER } from './app.routes';
import { AppComponent } from './app.component';
import { ChartComponent } from './chart/chart.component';
import { Data1Service } from './data1/data1.service';

@NgModule({
  declarations: [
    AppComponent,
    ChartComponent
  ],
  imports: [
    BrowserModule,
    APP_ROUTES_PROVIDER,
    ChartModule,
    BrowserAnimationsModule,

    MatTabsModule, MatMenuModule, MatButtonModule, 
    MatCardModule, MatToolbarModule, 
  ],
  providers: [Data1Service, ZoomService, TooltipService, CategoryService, ColumnSeriesService, MarkerService, 
    LineSeriesService, SplineSeriesService],
  bootstrap: [AppComponent]
})
export class AppModule { }
