import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { Chart, Legend, ZoomSettingsModel, MarkerSettingsModel, TooltipSettingsModel } from "@syncfusion/ej2-ng-charts";
import { Data1Service } from '../data1/data1.service';
import { Data1s } from '../data1/datas';

@Component({
  selector: 'app-chart',
  templateUrl: './chart.component.html',
  styleUrls: ['./chart.component.css'],
  encapsulation: ViewEncapsulation.None
})

export class ChartComponent implements OnInit {
  data1: Data1s[];

  constructor( private data1S: Data1Service ) { }
  
  getData1():void{
    this.data1S.getData1().then(data1 => this.data1 = data1);
  }

  ngOnInit() {
    this.getData1();
  }
  //public lineStyle: Object;

  public marker: MarkerSettingsModel = {
    visible: true, width: 10, height: 10, border: { width: 2, color: '#F8AB1D' }
  };
  public tooltip: TooltipSettingsModel = {
    enable: true,
    format: '${series.name} ${point.x} :  ${point.y}'
  }

  public zoom: ZoomSettingsModel = {
    enableSelectionZooming: true,
    enableMouseWheelZooming: true,
    enablePinchZooming: true
  };

  public data1exp: Object[] = [
    this.data1
  ];

  public primaryXAxis1_1: Object = { title: 'Years', valueType: 'Category', span: 1};
  public primaryYAxis1_1: Object = { title: 'Growth', minimum: 0, maximum: 300 };
}
